genymotion Version und virtuellen Geräte Version stimmen nicht überein

? Chielarck @ | Original: StackOverFlow
---

Ich bin mit Genymotion Emulator auf Android zu entwickeln, aber wenn ich es benutze, tritt der folgende Fehler :

genymotion version and virtual device version do not match

dies ist zum Detail  http://giggle.se/stack/genymotion.PNG

Ich bin mit Genymotion ver.2.2.0 und VirtualBox ver.4.3.12

Kann jemand mir helfen ?

---

Top 5 Antwort

1TGMCians @

Any help me?

Sie sollten Ihre Virtual Device, das ist alles, wenn Sie nicht auf der Suche nach neuen Funktion finden, dann können Sie auf "Weiter " klicken, zu aktualisieren.

Wenn Sie es zu aktualisieren, dann werden Sie eine neue Virtual Device haben, dann gibt es Ihnen, die anderen Anwendungen von Drittanbietern, die, wenn Sie in Ihrem aktuellen virtuellen Gerät wie Google Apps ( Play Store, Google, etc.) installiert installieren

https://cloud.genymotion.com/page/changelog/#220

Wir neue Funktionen Genymotion fügen regelmäßig . Diese neuen Funktionen kann nicht auf virtuelle Geräte mit einer älteren Version von Genymotion erstellt wurden. Aus diesem Grund sehen Sie eine lästige Popup, wenn Sie versuchen, sie von einer neuen Genymotion Version laufen . Aber freut euch! Heute ist der letzte Tag, den Sie haben, um es zu tun. In dieser Version haben wir einen Assistenten, der automatisch migriert alten Geräte an neue eingeführt . Also bitte, zum letzten Mal, löschen Sie Ihre aktuelle virtuelle Geräte und neue zu schaffen mit unserer neuen Version 2.2 Genymotion . Das nächste Mal sind Sie in der Lage, automatisch konvertieren.

genymotion Version und virtuellen Geräte Version stimmen nicht überein

Wenn Sie mit der kostenlosen Version verwenden, können Sie keine Aktualisierung auf einem virtuellen Gerät ( es ist nur für Vollversion) . Also, was Sie tun müssen, ist entfernen Sie das Gerät aus der Liste und wieder herunterladen oder fügen Sie die gleiche virtuelle Gerät wieder aus der Liste. Dies sollte zu lösen, dass die Popup stoppen.

2Emmanuel @

Das ist nicht wirklich ein Fehler . Es befindet sich nur sagen, dass Sie sollten Odate ihre virtuelle Gerät. Wenn Sie Google Apps verwenden, wird die Aktualisierung zu entfernen und Sie müssen manuell installiert werden. Sie können weiterhin die alte Version ohne Probleme verwenden, wenn Sie nicht wollen, um zu aktualisieren.

3sparkz @

Dies geschah auf einem meiner Macs. Leeren des Cache hat nicht geholfen. Keine taten Neuinstallation Genymotion . Allerdings fand ich eine Lösung (ich nehme an irgendeine Art von ähnlichen Verfahren gilt für Windows-PCs ) :

fahren Sie mit einer Neuinstallation von Genymotion 2.2.0 auf einem anderen Mac ( nennen wir es : "Quelle" ) . Neues Gerät hinzufügen ( zum Beispiel "Google Nexus 7 2013 "). Die richtige 2.2.0 virtuelle Gerät wird vom Genymotion Wolke heruntergeladen werden. Starten Sie die virtuelle Maschine wieder, schließen Sie es .

an der "Quelle" Mac, öffnen Sie den Finder und verwenden Sie die "Gehe zu Ordner " Menü, um zur /Users/[YourUserID]/.Genymobile/Genymotion/deployed Ordner. Suchen Sie den Ordner entsprechend Ihren neu installierten virtuellen Gerät (dh "Google Nexus 7 2013 - 4.4.2 - API 19 - 1200x1920 " in unserem Beispiel) und kopieren Sie sie in genau der gleichen Stelle auf Ihr "Ziel" Mac (vorausgesetzt, es gibt keine bestehenden Ordner mit diesem Namen )

auf "Quelle" Mac, gehen Sie zu den / Users / [ YourUserID ] / Ordner Library ( Alt-Taste + "Gehe zu Ordner " Menü im Finder ) . Gehen Sie auf die VirtualBox Ordner und öffnen Sie die Datei mit TextEdit VirtualBox.xml . Suchen Sie die Zeile, die neu installierten virtuellen Gerät im Abschnitt übereinstimmt ; die folgende Zeile in Abschnitt der VirtualBox.xml Datei Ihres "Ziel" Mac ( im selben Ordner befinden ) .

Das ist es! Starten Genymotion auf "Ziel" Mac und starten Sie Ihre neue virtuelle Gerät. No more " genymotion Version und virtuellen Geräte Version stimmen nicht überein " Warnung.

4user3427491 @

Sie müssen nur Ihre genymotion Aktualisierung auf die Version zu aktualisieren

wenn Ihr virtuelles Gerät und genymotion nicht übereinstimmt, erhalten Sie schwierig, den dritten Teil zu installieren

wie ich, i neues virtuelles Gerät auf genymotion ( samsung s ) zu installieren, aber nicht nur mit meinem genymotion entsprechen. Dann i zu aktualisieren meine genymotion und i dont müssen Gerät erneut herunterladen :) ( Das Gerät wird gespeichert )